Subject: Re: 23.0.91; Tooltip persists inappropriately with tooltip-mode off

From: Bob Rogers <[email-masked]>
Date: Sun, 15 Mar 2009 22:41:58 -0400

From: Chong Yidong <[email-masked]>
   Date: Sun, 15 Mar 2009 21:44:56 -0400

   >    The attached patch to tooltip-show-help-non-mode appears to fix the
   > problem, though I suspect it is not TRT.  Shouldn't the third "cond"
   > clause in this function take care of this case?

   I'm afraid the net monsters ate your attachment.  Could you resend it?
   It's probably easiest to just put it in the body of your email.

Here it is.  (I was trying to distinguish the patch from the M-x
report-emacs-bug spew that came before it.  I guess I succeeded too
well.)

					-- Bob

------------------------------------------------------------------------
Index: lisp/tooltip.el
===================================================================
RCS file: /sources/emacs/emacs/lisp/tooltip.el,v
retrieving revision 1.91
diff -u -r1.91 tooltip.el
--- lisp/tooltip.el	5 Jan 2009 03:19:50 -0000	1.91
+++ lisp/tooltip.el	15 Mar 2009 19:45:29 -0000
@@ -334,7 +334,7 @@
     (cond
      ((stringp help)
       (unless tooltip-previous-message
-        (setq tooltip-previous-message (current-message)))
+        (setq tooltip-previous-message (or (current-message) "")))
       (let ((message-truncate-lines t)
             (message-log-max nil))
         (message "%s" (replace-regexp-in-string "\n" ", " help))))